#!/usr/bin/env python
#Author: Mark Feineigle
#Create Date: 2018/04/10
#Last Modify: 2018/04/10
# deeper learning insights machine learning page 59

import matplotlib.pyplot as plt
import numpy as np

def sigmoid(z):
  # this sigmoid function takes real number values as input and transforms them
  # to values in the range [0, 1] with an intercept at  phi( z ) = 0.5 .
  return 1.0 / (1.0 + np.exp(-z))

# Plot a sigmoid
z = np.arange(-7, 7, 0.1)
phi_z = sigmoid(z)
plt.plot(z, phi_z)
plt.axvline(0.0, color='k')
plt.axhspan(0.0, 1.0, facecolor='1.0', alpha=1.0, ls='dotted')
plt.axhline(y=0.5, ls='dotted', color='k')
plt.yticks([0.0, 0.5, 1.0])
plt.ylim(-0.1, 1.1)
plt.xlabel('z')
plt.ylabel('$\phi (z)$')
plt.show()

